<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    tools:context=".ScrollingActivity">
    
    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:background="@color/colorPrimary"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:layout_alignParentTop="true"
        app:layout_collapseMode="pin"
        app:popupTheme="@style/AppTheme.PopupOverlay" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/top_bar"
        android:layout_below="@id/toolbar"
        android:orientation="vertical"
        android:background="@color/colorPrimary"
        >
        <ProgressBar
            android:id="@+id/progressBar01"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:max="1000"
            android:progress="30"
            android:secondaryProgress="70"
            />
    </LinearLayout>
    
    
<!--    <com.google.android.material.appbar.AppBarLayout-->
<!--        android:id="@+id/app_bar"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="@dimen/app_bar_height"-->
<!--        android:fitsSystemWindows="true"-->
<!--        android:theme="@style/AppTheme.AppBarOverlay">-->

<!--        <com.google.android.material.appbar.CollapsingToolbarLayout-->
<!--            android:id="@+id/toolbar_layout"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="match_parent"-->
<!--            android:fitsSystemWindows="true"-->
<!--            app:contentScrim="?attr/colorPrimary"-->
<!--            app:layout_scrollFlags="scroll|exitUntilCollapsed"-->
<!--            app:toolbarId="@+id/toolbar">-->

<!--            -->

<!--        </com.google.android.material.appbar.CollapsingToolbarLayout>-->
<!--    </com.google.android.material.appbar.AppBarLayout>-->

<!--    <include layout="@layout/content_scrolling" />-->
    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_below="@id/top_bar"
        android:layout_alignParentBottom="true"
        >
        <include layout="@layout/main_list" />
    </FrameLayout>


</RelativeLayout>